Subject: 27.0.50; Gnus's nnimap truncates password

From: Amin Bandali <[email-masked]>
Date: Tue, 12 Feb 2019 11:49:43 -0500

It seems that when the combined length of username + password for an
imap login exceeds certain length, nnimap tries to log into the server
with a truncated password.

Example:

Say I have the following line in ~/.authinfo.gpg:

machine mymchn login [email-masked] password VAdlmhgtPX3RQpV2bfr8ilj6Qptr0Omz

I was wondering why Gnus wasn’t able to log into the server, though I
had made sure I was using the correct username and password.  Upon
looking into server logs, I noticed that the login attempts were made
using VAdlmhgtPX3RQpV2bfr8ilj6Qpt as the password (notice that r0Omz is
missing at the end) instead of the correct full password.

Then I tried with a shorter username like below and it worked just fine:

machine mymchn login [email-masked] password VAdlmhgtPX3RQpV2bfr8ilj6Qptr0Omz

If I recall correctly, this issue also happens without adding a machine
entry to ~/.authinfo.gpg (i.e. by filling out the username and password
prompt); which leads me to think that the issue is not with auth-source.